function Plots(noise)
% Funkce na vykreslní staticstických grafů- qq plot, histogram, cdf
  
  M=mean(noise(:));
  V=var(noise(:));
  Norm_noise=(noise-M)/sqrt(V);
 
  figure
  qqplot(Norm_noise(:));
% 
%   figure
%   cdfplot(Norm_noise(:))
%   hold on
%   x_values = linspace(min(Norm_noise(:)),max(Norm_noise(:)));
%   plot(x_values,normcdf(x_values,0,1),'r-')
%   legend('Empirical CDF','Standard Normal CDF','Location','best')

  figure
  pd=fitdist(Norm_noise(:),'Normal');
  x_values=min(Norm_noise(:)):0.1:max(Norm_noise(:));
  y=pdf(pd,x_values);
  plot(x_values,y)
  hold on
  [k,edges]=histcounts(Norm_noise(:),'BinMethod','auto');
  histfit(Norm_noise(:), length(k));

end

